package restassuredblog;


import org.testng.annotations.Test;
import org.testng.asserts.SoftAssert;

import io.restassured.RestAssured;
import io.restassured.response.Response;

public class PathParameterTest {
	 @Test
	    public void verifyPathParameters() {
		 SoftAssert softAssert = new SoftAssert();	
		
    	String baseUrl ="https://gorest.co.in";
    	 
	        String userId = "6880092";

	        String endpoint = "/public/v2/users/{userId}";

	        Response response = RestAssured.given()
	                .baseUri(baseUrl)
	                .pathParam("userId", userId)
	                .when()
	                .get(endpoint)
	                .then().log().all().extract().response();
	        
	        int statusCode = response.getStatusCode();
	        
	    	softAssert.assertEquals(statusCode, 200, "Response code is not 200");

	        softAssert.assertAll();
	    }

}
