package restassuredblog;

import org.openqa.selenium.WebDriver;
import org.openqa.selenium.chrome.ChromeDriver;
import org.openqa.selenium.chrome.ChromeOptions;
import org.testng.annotations.Test;
import org.testng.asserts.SoftAssert;

import io.restassured.RestAssured;
import io.restassured.http.Cookies;

@Test
public class RestAssuredCookieTest {
    public void verifySetCookies() throws InterruptedException {
        ChromeOptions options = new ChromeOptions();
        SoftAssert softAssert = new SoftAssert();
        WebDriver driver = new ChromeDriver(options);

        String url = "https://google.com"; 
        RestAssured.baseURI = url;
        
        Cookies cookies = RestAssured.given().get().getDetailedCookies();

        driver.get(url);
        driver.manage().window().maximize();
        Thread.sleep(3000);
        for (io.restassured.http.Cookie cookie : cookies.asList()) {
            org.openqa.selenium.Cookie mobisoftCookie = new org.openqa.selenium.Cookie(
                    cookie.getName(),
                    cookie.getValue(),
                    cookie.getDomain(),
                    cookie.getPath(),
                    cookie.getExpiryDate(),
                    cookie.isSecured(),
                    cookie.isHttpOnly()
            );
            driver.manage().addCookie(mobisoftCookie);
        }
       
       softAssert.assertNotNull(driver.manage().getCookies(), "Cookie is not set");
        System.out.println("Cookies set: " + driver.manage().getCookies());
        softAssert.assertAll();
        
        driver.close();
          }
}
